Subject: bug#18077: 24.4.50; Info-quoted face should inherit default

From: Sebastian Wiesner <[email-masked]>
Date: Sat, 26 Jul 2014 00:55:47 +0200

Am 26.07.2014 um 00:37 schrieb Stefan Monnier <[email-masked]>:

>> Please remove the hard-coded font family and inherit from the default
>> face instead.
> 
> Inheriting from default would be equivalent to defining the attributes
> as just nil.
> 
> The whole purpose of this is to make quoted text appear different, so we
> don't want to use the default face.

A different style or color would not be sufficient?

> I agree that a specific family is kind of annoying and theoretically
> problematic, but it sounds too hypothetical to bother fixing (and to
> know how to fix).
> 
> Do you have a concrete situation at hand?
> Maybe we can address the problem with a a bit more fiddling of
> face-font-family-alternatives.

With respect, I mean no offense, but did you actually look at the screenshots that I attached to my previous mail?  Did you notice the different between “Courier” and “Source Code Pro” (which is my default face) in the Arch Linux screenshot? 

It’s not at all hypothetical.